Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi.status
Class ProgressEvent

    java.lang.Object
      java.util.EventObject
          javax.enterprise.deploy.spi.status.ProgressEvent

All Implemented Interfaces:
  java.io.Serializable

public class ProgressEvent
extends java.util.EventObject

An event which indicates that a deployment status change has occurred.

See Also:
  `ProgressListener`, `ProgressObject`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProgressEvent(java.lang.Object source, TargetModuleID targetModuleID, DeploymentStatus sCode)` Creates a new object representing a deployment progress event.

Method Summary
`DeploymentStatus` | `getDeploymentStatus()` Retrieve the status information.
`TargetModuleID` | `getTargetModuleID()` Retrieve the TargetModuleID for this event

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressEvent

    public ProgressEvent(java.lang.Object source,
                         TargetModuleID targetModuleID,
                         DeploymentStatus sCode)

  Creates a new object representing a deployment progress event.

Parameters:
  `source` - the object on which the Event initially occurred.
  `sCode` - the object containing the status information.

Method Detail

### getTargetModuleID

    public TargetModuleID getTargetModuleID()

  Retrieve the TargetModuleID for this event

  Returns:
    the object containing the TargetModuleID

### getDeploymentStatus

    public DeploymentStatus getDeploymentStatus()

  Retrieve the status information.

  Returns:
    the object containing the status information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.